Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Advanced Linux Sound Architecture (ALSA) library.
Name:      	alsa-lib
Version:   	1.0.23
Release:   	1
Epoch:		1
Provides:	alsa-lib
License: 	GNU/GPL
URL:		http://www.alsa-project.org
Group:     	System/Configuration/Hardware
Source0: 	alsa-lib-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	doxygen

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: python26-devel

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA runtime libraries to simplify application
programming and provide higher level functionality as well as support for
the older OSS API, providing binary compatibility for most OSS programs.

%package devel
Summary: 	alsa-lib development headers.
Group:     	System/Configuration/Hardware
Requires: 	alsa-lib = %{version}-%{release} pkg-config

%description devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA development libraries for developing
against the ALSA libraries and interfaces.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n alsa-lib-%{version}

%build
%configure \
    CFLAGS="$RPM_OPT_FLAGS"\
    --enable-static=yes \
    --datadir=%_sysconfdir \
    --disable-debug \
    --with-pythonlibs="-lpthread -lm -ldl -lpython2.6" \
    --with-pythonincludes="-I/usr/include/python2.6"
make
make doc

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}/%{_lib}

mv %{buildroot}%{_libdir}/libasound.so.* %{buildroot}/%{_lib}
ln -snf ../../%{_lib}/libasound.so.2 %{buildroot}%{_libdir}/libasound.so

mv %{buildroot}/etc/aclocal %{buildroot}%{_datadir}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog TODO doc/asoundrc.txt
%{_bindir}/aserver
/%{_lib}/libasound.so.*
%{_libdir}/alsa-lib/smixer/*
%{_sysconfdir}/alsa
%config %{_sysconfdir}/alsa/alsa.conf

%files devel
%defattr(-, root, root)
%doc doc/doxygen
%{_includedir}/alsa
%{_includedir}/sys/asoundlib.h
%{_libdir}/libasound.so
%{_libdir}/libasound.a
%{_libdir}/libasound.la
%{_libdir}/pkgconfig/alsa.pc
%{_aclocal}/alsa.m4

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.23-1
- version update
* Mon Dec 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.22-1
- version update
* Fri Oct 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.21-1
- version update
- 1.0.21a
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.20-1
- version update
* Fri Feb 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.19-1
- version update
* Sat Nov 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.18-1
- version update
* Tue Aug 19 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.17a-1
- Version update
* Sat Jun 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.17-1
- version update
- rc1
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.16-1
- version update
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.15-1
- version update
* Tue Jun 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.14-1
- version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.13-1
- Version update
* Wed Aug 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.12-1
- version update
* Sat Apr 22 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.11-3
- modified files list
* Sat Apr 22 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.11-2
- removed ainit
* Sat Apr 22 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.11-1
- Version update
* Sat Jan 21 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.11rc2-2
- minor bugfix
* Sat Jan 21 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.11rc2-1
- Version update
* Thu Jan 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.10-3
- rebuilt
* Sun Dec 11 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.10-2
- Redefined files list
* Fri Dec 09 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.10-1
- Version update to 1.0.10
* Sun May 29 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.9-1
- Version update to 1.0.9
* Thu Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.8-1
- Version Update to 1.0.8
* Sat Nov 20 2004 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Initial Release
